import { ImgData, ValueOf } from "../../../constants/types/global";
import { HocHyperlinkData } from "../../../components/Hyperlink/types";
import { CustomImageSize } from "../../../components/Image/styledImages";
import { ContentCustomStyle } from '../Content/types';
export declare const ITEM_LAYOUT: {
    readonly SEQUENTIAL: "sequential";
    readonly SEQUENTIAL_ALTERNATING: "sequentialAlternating";
    readonly REVERSE: "reverse";
    readonly REVERSE_ALTERNATING: "reverseAlternating";
};
export type ItemLayout = ValueOf<typeof ITEM_LAYOUT>;
export type Item = {
    title: string;
    desc?: string;
    image?: ImgData;
    hyperlink?: HocHyperlinkData;
};
export type Data = Item[];
export type CustomStyle = {
    image?: CustomImageSize;
} & ContentCustomStyle;
