import React from 'react';
import { CustomColor } from "../../../constants/themes/colors";
import { HocButtonData, ButtonStyle } from "../../../components/Button/types";
import { HocHyperlinkData, HyperlinkStyle } from "../../../components/Hyperlink/types";
import { ImgData } from "../../../constants/types/global";
type ComponentProps = {
    data: {
        title: string;
        desc?: string;
        button1?: HocButtonData;
        button2?: HocButtonData;
        hyperlink?: HocHyperlinkData;
        image: ImgData;
    };
    customStyle?: {
        title?: {
            color: CustomColor;
        };
        desc?: {
            color: CustomColor;
        };
        button1?: ButtonStyle;
        button2?: ButtonStyle;
        hyperlink?: HyperlinkStyle;
    };
};
export declare const Banner21: React.FC<ComponentProps>;
export {};
