import { ThemePropsType } from "../../constants/types/styled";
import { Variant, Size, Corner } from './types';
export declare const Icon: import("styled-components").StyledComponent<"img", any, {
    size?: Size | undefined;
}, never>;
export declare const StyledButton: import("styled-components").StyledComponent<"button", any, ThemePropsType & {
    variant?: Variant | undefined;
    size?: Size | undefined;
    corner?: Corner | undefined;
    customStyle?: {
        color?: import("../../constants/themes/colors").CustomColor | undefined;
        backgroundColor?: import("../../constants/themes/colors").CustomColor | undefined;
        borderColor?: import("../../constants/themes/colors").CustomColor | undefined;
        hoverColor?: import("../../constants/themes/colors").CustomColor | undefined;
        hoverBackgroundColor?: import("../../constants/themes/colors").CustomColor | undefined;
        hoverBorderColor?: import("../../constants/themes/colors").CustomColor | undefined;
    } | undefined;
} & import("../../constants/types/styled").IsDisabledPropsType, never>;
